%define version 0.8
%define release 4mdk

Summary:		A partitioning tool for Apple Macintosh-style partitioned disks
Name:			pdisk
Version:		%{version}
Release:		%{release}
License:		Apple Free Copyright
Group:			System/Base

Source:			ftp://cfcl.com/pub/ev/pdisk.20000516.src.tar.bz2
Patch0:			pdisk-changetype.patch.bz2
URL:			http://cantaforda.com/cfcl/eryk/linux/pdisk/index.html
BuildRoot:		%{_tmppath}/%{name}-buildroot
ExclusiveArch:	ppc

%description
pdisk enables you to view and modify Apple Macintosh-style partition maps.
Normally, it is used to create Mandrake Linux partitions on your disk,
however, it can create partitions of any type, including HFS (except
it would be up to MacOS or some other tool to actually create the HFS
filesystem in that HFS partition).  pdisk won't put MacOS disk drivers
onto your disk.

%prep
%setup -q -n pdisk
%patch0 -p1

%build
%make

%install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m744 pdisk $RPM_BUILD_ROOT/sbin/pdisk
install -m444 pdisk.8 $RPM_BUILD_ROOT%{_mandir}/man8/pdisk.8
chmod 0444 README pdisk.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README pdisk.html
/sbin/pdisk
%{_mandir}/man8/pdisk.8*

%changelog
* Fri Feb  6 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.8-4mdk
- rebuild
- add t command to change type of partition (Christiaan Welvaart)

* Thu Jan  2 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.8-3mdk
- fix URL - Yura Gusev

* Fri Dec 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.8-2mdk
- rebuild for new glibc/rpm

* Wed Oct  9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.8-1mdk
- new version, quiet setup, rpmlint fixes

* Sun Sep 16 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.7-4mdk
- rebuild s/Copyright/License/

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7-3mdk
- Fix Chmou's typos

* Fri Jul  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7-2mdk
- Rewrite specs.

* Sat Feb 26 2000 John Buswell <johnb@mandrakesoft.com>
- First Mandrake release

* Fri Mar 06 1998 Gilbert Coville <coville@apple.com>
- Initial version - some bits ripped off from Mark Hatle's old pfdisk
  spec file.
